import { parseColorHexRGB } from '@microsoft/fast-colors';
import { SwatchRGB } from '@microsoft/fast-components';
import { DesignToken } from '@microsoft/fast-foundation';
import { ColorHEX } from '../../_common';
const { create } = DesignToken;
/**
 * @internal
 */
const errorColorRGB = parseColorHexRGB(ColorHEX.error);
export const defaultErrorColor = SwatchRGB.create(errorColorRGB.r, errorColorRGB.g, errorColorRGB.b);
/** @public */
export const errorColor = create('error-color').withDefault(defaultErrorColor);
/**
 * @internal
 */
const successColorRGB = parseColorHexRGB(ColorHEX.success);
export const defaultSuccessColor = SwatchRGB.create(successColorRGB.r, successColorRGB.g, successColorRGB.b);
/** @public */
export const successColor = create('success-color').withDefault(defaultSuccessColor);
